CTRLPROXYD(8)

NAME
ctrlproxyd - ctrlproxy multi-user daemon

SYNOPSIS

ctrlproxy [-c file] [-I] [-F] [-v]

DESCRIPTION

ctrlproxyd is a helper daemon for ctrlproxy that authenticates incoming connections and connects to a ctrlproxy instance or starts ctrlproxy for the user that connected.

Log messages will be written to syslog, unless ctrlproxyd is running in the foreground, in which case they will be written to standard error.

OPTIONS

ctrlproxy recognizes the following command-line options

-I
    Communicate on standard input/output - for use with the internet superserver (inetd).

-c, --config-file=FILE
    Read the configuration file from the specified FILE instead of from /etc/ctrlproxyd.conf.

-F, --foreground
    Stay in the foreground.

-v, --version
    Show copyright and version information

-?, --help
    Show help message with short argument information

-l, --log=FILE
    Log ctrlproxy messages to specified file.

--usage
    Display brief usage message

SEE ALSO

ctrlproxy (1), ctrlproxy_config(5), http://www.ctrlproxy.org/, ctrlproxyd.conf.example

BUGS

Probably, but none are known at the moment. Please send any you find to jelmer@samba.org

LICENSE

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but \fBWITHOUT ANY WARRANTY\fR; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple PLace, Suite 330, Boston, MA 02111-1307 USA

AUTHORS

Jelmer Vernooij[1] (original developer)

See the file AUTHORS for a full list of contributors.

NOTES

1.  Jelmer Vernooij
    mailto:jelmer@samba.org